/*
 *	Copyright, Buzztouch
 *
 *	All rights reserved.
 *
 *	Redistribution and use in source and binary forms, with or without modification, are
 *	permitted provided that the following conditions are met:
 *
 *	Redistributions of source code must retain the above copyright notice which includes the
 *	name(s) of the copyright holders. It must also retain this list of conditions and the
 *	following disclaimer.
 *
 *	Redistributions in binary form must reproduce the above copyright notice, this list
 *	of conditions and the following disclaimer in the documentation and/or other materials
 *	provided with the distribution.
 *
 *	The name Buzztouch (or buzztouch) nor the names of its contributors
 *	may be used to endorse or promote products derived from this software without specific
 *	prior written permission.
 *
 *	THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
 *	ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *	WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *	IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *	INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *	NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *	PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *	WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *	ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY
 *	OF SUCH DAMAGE.
 */


#import "BT_contextMenu.h"
#import "BT_navController.h"
#import "BT_tabBarController.h"
#import "BT_viewController.h"
#import "BT_background_view.h"


@interface BT_application : NSObject {
    
}
@property (nonatomic, strong) NSString *buzztouchAppId;
@property (nonatomic, strong) NSString *buzztouchAPIKey;
@property (nonatomic, strong) NSString *dataURL;
@property (nonatomic, strong) NSString *reportToCloudURL;
@property (nonatomic, strong) NSString *registerForPushURL;
@property (nonatomic, strong) NSString *currentMode;
@property (nonatomic, strong) NSString *themeItemId;
@property (nonatomic, strong) NSString *homeScreenItemId;
@property (nonatomic, strong) NSString *splashScreenItemId;
@property (nonatomic, strong) NSString *registrationScreenItemId;
@property (nonatomic, strong) NSString *registrationRequired;
@property (nonatomic, strong) NSString *allowRotation;
@property (nonatomic) int gpsUpdateIntervalSeconds;
@property (nonatomic) NSString *promptForPushNotifications;

@property (nonatomic, strong) BT_background_view *rootBackgroundView;
@property (nonatomic, strong) BT_navController *rootNavController;
@property (nonatomic, strong) BT_tabBarController *rootTabBarController;
@property (nonatomic, strong) BT_item *rootTheme;

@property (nonatomic, strong) BT_item *currentButtonData;
@property (nonatomic, strong) BT_item *currentScreenData;
@property (nonatomic, strong) BT_item *previousScreenData;

@property (nonatomic, strong) NSMutableArray *transitionTypeHistory;


-(void)buildInterface;
-(BT_viewController *)getViewControllerForScreen:(BT_item *)theScreenData;
-(BT_item *)getItemDataByItemId:(NSString *)theItemId;
-(BT_item *)getItemDataByNickname:(NSString *)theItemNickname;
-(NSMutableArray *)getBtItemsWithType:(NSString *)theItemType;
-(NSMutableArray *)getThemes;
-(NSMutableArray *)getTabs;
-(NSMutableArray *)getMenus;
-(NSMutableArray *)getScreens;
-(NSMutableArray *)getFiles;
-(NSMutableArray *)getImages;


/////////////////////////////////////////////////////////////////////////
//DEPRECATED METHODS. SHOULD NOT BE USED...
-(BT_item *)getScreenDataByItemId:(NSString *)theScreenItemId;
-(BT_item *)getScreenDataByNickname:(NSString *)theScreenNickname;
-(BT_item *)getThemeDataByItemId:(NSString *)theThemeItemId;
-(BT_item *)getMenuDataByItemId:(NSString *)theMenuItemId;


@end











