/*
 *	Copyright, Buzztouch
 *
 *	All rights reserved.
 *
 *	Redistribution and use in source and binary forms, with or without modification, are 
 *	permitted provided that the following conditions are met:
 *
 *	Redistributions of source code must retain the above copyright notice which includes the
 *	name(s) of the copyright holders. It must also retain this list of conditions and the 
 *	following disclaimer. 
 *
 *	Redistributions in binary form must reproduce the above copyright notice, this list 
 *	of conditions and the following disclaimer in the documentation and/or other materials 
 *	provided with the distribution. 
 *
 *	The name Buzztouch (or buzztouch) nor the names of its contributors 
 *	may be used to endorse or promote products derived from this software without specific 
 *	prior written permission.
 *
 *	THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND 
 *	ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED 
 *	WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. 
 *	IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, 
 *	INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT 
 *	NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR 
 *	PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
 *	WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) 
 *	ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY 
 *	OF SUCH DAMAGE. 
 */

#import "BT_missing.h"

@implementation BT_missing


//viewDidLoad
-(void)viewDidLoad{
	[super viewDidLoad];
	[BT_debugger showIt:self theMessage:@"viewDidLoad"];
    
    //show the navigation bar so they can go "back" after this BT_missing screen shows...
    [self.navigationController.navigationBar setHidden:FALSE];

    //scroller...
    [self.scroller setFrame:[[UIScreen mainScreen] bounds]];
    [self.scroller setAutoresizingMask:(UIViewAutoresizingFlexibleWidth | UIViewAutoresizingFlexibleHeight)];
    [self.scroller setAlwaysBounceHorizontal:false];
    [self.scroller setBackgroundColor:[UIColor clearColor]];
    [self.scroller setContentSize:CGSizeMake(self.view.frame.size.width, (self.view.frame.size.height + 75))];
    
    //lblCongrats...
    self.lblWrong.frame = CGRectMake(0, 20, self.scroller.frame.size.width, 40);
    [self.lblWrong setBackgroundColor:[UIColor clearColor]];
    [self.lblWrong setTextAlignment:NSTextAlignmentCenter];
    self.lblWrong.autoresizingMask = UIViewAutoresizingFlexibleWidth | UIViewAutoresizingFlexibleLeftMargin | UIViewAutoresizingFlexibleRightMargin;
    
    //imgError...
    [self.imgError setFrame:CGRectMake( (self.scroller.frame.size.width - 75) / 2, 80, 75, 75)];
    [self.imgError setAutoresizingMask:(UIViewAutoresizingFlexibleLeftMargin | UIViewAutoresizingFlexibleRightMargin)];
    [self.imgError setContentMode:UIViewContentModeScaleAspectFit];
    
    //info text...
    NSString *info = @"";
    info = [info stringByAppendingString:@"There was a problem loading a screen. This usually means a third-party plugin was "];
    info = [info stringByAppendingString:@"not added to your Xcode project. "];
    info = [info stringByAppendingString:@"\n\nMake sure the plugin is added to the "];
    info = [info stringByAppendingString:@"BT_Plugins folder in your Xcode project."];
    
    //txtInfo...
    [self.txtInfo setFrame:CGRectMake(15, 170, (self.scroller.frame.size.width - 30), self.scroller.frame.size.height)];
    [self.txtInfo setAutoresizingMask:(UIViewAutoresizingFlexibleWidth | UIViewAutoresizingFlexibleHeight)];
    [self.txtInfo setBackgroundColor:[UIColor clearColor]];
    [self.txtInfo setEditable:FALSE];
    [self.txtInfo setShowsHorizontalScrollIndicator:FALSE];
    [self.txtInfo setShowsVerticalScrollIndicator:FALSE];
    [self.txtInfo setFont:[UIFont fontWithName:@"HelveticaNeue-Thin" size:20.0f]];
    [self.txtInfo setText:info];
    [self.txtInfo setTextColor:[UIColor whiteColor]];

    
    
}


//viewDidAppear...
-(void)viewDidAppear:(BOOL)animated{
    [super viewWillAppear:animated];
    [BT_debugger showIt:self theMessage:@"viewDidAppear"];
    
    //prevent horizontal scrolling...
    CGSize size = self.scroller.contentSize;
    size.width = [[UIScreen mainScreen] bounds].size.width;
    self.scroller.contentSize = size;
    self.scroller.alwaysBounceHorizontal = NO;
    
}

@end







