/*
 *	Copyright Buzztouch
 *
 *	All rights reserved.
 *
 *	Redistribution and use in source and binary forms, with or without modification, are 
 *	permitted provided that the following conditions are met:
 *
 *	Redistributions of source code must retain the above copyright notice which includes the
 *	name(s) of the copyright holders. It must also retain this list of conditions and the 
 *	following disclaimer. 
 *
 *	Redistributions in binary form must reproduce the above copyright notice, this list 
 *	of conditions and the following disclaimer in the documentation and/or other materials 
 *	provided with the distribution. 
 *
 *	The name Buzztouch (or buzztouch) nor the names of its contributors
 *	may be used to endorse or promote products derived from this software without specific 
 *	prior written permission.
 *
 *	THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND 
 *	ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED 
 *	WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. 
 *	IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, 
 *	INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT 
 *	NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR 
 *	PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
 *	WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) 
 *	ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY 
 *	OF SUCH DAMAGE. 
 */



@interface BT_screen_wordDoc : BT_viewController <BT_downloadFileDelegate, 
UIWebViewDelegate, 
UIActionSheetDelegate>{
	UIWebView *webView;
	UIToolbar *browserToolBar;
	NSString *externalURL;
	NSString *localFileName;
    NSString *saveAsFileName;
	NSString *dataURL;
	BT_downloader *downloader;
	int didInit;
	int downloadInProgress;
    
}

@property (nonatomic, retain) UIWebView *webView;
@property (nonatomic, retain) UIToolbar *browserToolBar;
@property (nonatomic, retain) NSString *externalURL;
@property (nonatomic, retain) NSString *localFileName;
@property (nonatomic, retain) NSString *dataURL;
@property (nonatomic, retain) NSString *saveAsFileName;
@property (nonatomic, retain) BT_downloader *downloader;
@property (nonatomic) int didInit;
@property (nonatomic) int downloadInProgress;

-(void)layoutScreen;
-(void)initLoad;
-(void)loadBundleData;
-(void)loadCachedData;
-(void)stopLoading;
-(void)goForward;
-(void)goBack;
-(void)launchInNativeApp;
-(BOOL)webView:(UIWebView*)webView shouldStartLoadWithRequest:(NSURLRequest*)request navigationType:(UIWebViewNavigationType)navigationType;
-(void)confirmLink:(NSString *)theMessage;

@end






